<?php

namespace App\Filament\Resources\Hotels\Schemas;

use Filament\Infolists;
use Filament\Schemas\Schema;

class HotelInfolist
{
    public static function configure(Schema $schema): Schema
    {
        return $schema->components([
            Infolists\Components\TextEntry::make('name'),
            Infolists\Components\TextEntry::make('city'),
            Infolists\Components\ImageEntry::make('image')
                ->columnSpanFull(),
            Infolists\Components\ImageEntry::make('images')
                ->columnSpanFull(),
            Infolists\Components\TextEntry::make('geo_location'),
            Infolists\Components\TextEntry::make('haram_distance'),
            Infolists\Components\TextEntry::make('star'),
        ]);
    }
}
